import request from '../../common/utils/request'

// 查询我的考试管理列表
export function mineListExamination(query) {
  return request({
    url: '/train/examinationMobile/mineList',
    method: 'get',
    params: query
  })
}

// 查询考试管理详细
export function startExamination(id, repairExamination) {
  return request({
    url: '/train/examinationMobile/start/' + id + '&' + repairExamination,
    method: 'get'
  })
}

// 我的考试》提交答案接口
export function submitAnswers(data) {
  return request({
    url: '/train/examinationMobile/submitAnswers',
    method: 'post',
    data: data
  })
}

// 查询我的考试详情
export function minePaperInfo(id) {
  return request({
    url: '/train/examinationMobile/minePaperInfo/' + id,
    method: 'get'
  })
}
